TYPO3 Core - Bug #89081

PHP Warning in Backend Module Indexing -> List: Pages
2019-09-04 16:50 - Devid Messner

Status: Closed Start date:

Priority: Should have Due date:

Assignee: % Done: 100%
Category: Indexed Search Estimated time: 0.00 hour
Target version:

TYPO3 Version: 9 Complexity:

PHP Version: 7.2 Is Regression:

Tags: Sprint Focus:

Description

The backend module produces a PHP error

PHP Warning: json_decode () expects parameter 1 to be string, array given in /web/typo3/sysext/inde
xed_search/Classes/Domain/Repository/AdministrationRepository.php line 363

Related issues:
Related to TYPO3 Core - Bug #88493: Exception in Indexed Search Administratio... Closed 2019-06-05
Follows TYPOS Core - Bug #86994: indexed_search doesn't index pages using rou... Closed 2018-11-25

Associated revisions

Revision 2308f9ac - 2019-09-23 13:21 - Devid Messner
[BUGFIX] Remove double json_decode call

Avoids an exeption about incompatible type to the call, caused by double encoding.

Resolves: #89081
Releases: master, 9.5

Change-ld: 1a974227f0e9ca68a8f37a0e205bda1f27f015¢c7f
Reviewed-on: https://review.typo3.org/c/Packages/TYPO3.CMS/+/61622
Tested-by: TYPO3com <noreply@typo3.com>

Tested-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

Tested-by: Frank Nagler <frank.naegler@typo3.org>

Reviewed-by: Anja Leichsenring <aleichsenring@ab-softlab.de>
Reviewed-by: Frank Né&gler <frank.naegler@typo3.org>

Revision d489alaa - 2019-09-23 15:51 - Devid Messner
[BUGFIX] Remove double json_decode call

Avoids an exeption about incompatible type to the call, caused by double encoding.

Resolves: #89081

Releases: master, 9.5

Change-ld: 1a974227f0e9ca68a8f37a0e205bda1f27f015c7f
Reviewed-on: https://review.typo3.org/c/Packages/TYPO3.CMS/+/61744
Tested-by: TYPO3com <noreply@typo3.com>

Tested-by: Frank Nagler <frank.naegler@typo3.org>

Reviewed-by: Frank N&gler <frank.naegler@typo3.org>

History

#1 - 2019-09-04 17:02 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https:/review. .org/c/Pack TYPO3.CMS/+/61622

#2 - 2019-09-17 12:27 - Tilo Baller
- Related to Bug #88493: Exception in Indexed Search Administration Modul added

#3 - 2019-09-23 12:58 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/61622

#4 - 2019-09-23 13:22 - Gerrit Code Review

Patch set 1 for branch 9.5 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/61744

#5 - 2019-09-23 13:30 - Devid Messner
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset 2308f9ac7684d0d16166d863c4ddd8a1fdb55fe.

#6 - 2019-09-24 00:33 - Oliver Hader
- Due date set to 2018-11-26
- Start date changed from 2019-09-04 to 2018-11-26

- Follows Bug #86994: indexed_search doesn't index pages using route enhancers added

#7 - 2019-09-24 00:36 - Oliver Hader
- Due date deleted (2018-11-26)
- Start date deleted (2018-11-26)

#8 - 2019-12-23 22:57 - Benni Mack

- Status changed from Resolved to Closed
